### Method

# Ggit Repository enumerate_branches

#### Declaration [src]

    GgitBranchEnumerator*
    ggit_repository_enumerate_branches (
      GgitRepository* repository,
      GgitBranchType list_type,
      GError** error
    )

#### Description [src]

Get a branch enumerator to enumerate over all branches of the specified `list_type` in `repository`.

#### Parameters

`list_type`

  Type: `GgitBranchType`

  A `GgitBranchType`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitBranchEnumerator`

A branch enumerator.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.